> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Users

> List all members of the team. Supports `query` for name search and `limit` for pagination — see [Pagination](/pagination).



## OpenAPI

````yaml /openapi.json get /team/users
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /team/users:
    get:
      tags:
        - Users
      summary: Get All Users
      description: >-
        List all members of the team. Supports `query` for name search and
        `limit` for pagination — see [Pagination](/pagination).
      operationId: getAllUsers
      parameters:
        - name: query
          in: query
          required: false
          description: Filter users by name or email.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Maximum number of users to return.
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/User'
        '401':
          description: Unauthorized
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: number
          example: 1304
        name:
          type: string
          example: User Name
        headline:
          type:
            - string
            - 'null'
          example: CEO
        avatarUrl:
          type:
            - string
            - 'null'
        role:
          type: string
          enum:
            - admin
            - supervisor
            - member
            - member_limited
          example: admin
        status:
          type: string
          enum:
            - active
            - invited
            - pending
            - removed
          example: active
        phone:
          type: string
          nullable: true
        capacity:
          type: integer
          nullable: true
          description: Weekly capacity in seconds.
        avatarUrlLarge:
          type: string
          nullable: true
      required:
        - id
        - name
        - role
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````